r4939 - in packages/trunk/game-package: . games-package/trunk
Jon Dowland
jmtd-guest at alioth.debian.org
Fri Dec 14 11:18:44 UTC 2007
Author: jmtd-guest
Date: 2007-12-14 11:18:44 +0000 (Fri, 14 Dec 2007)
New Revision: 4939
Added:
packages/trunk/game-package/Makefile
packages/trunk/game-package/changelog
packages/trunk/game-package/debian/
packages/trunk/game-package/doom2-wad/
packages/trunk/game-package/etc/
packages/trunk/game-package/game-package
packages/trunk/game-package/game-package-shared
packages/trunk/game-package/make-quake3-package
packages/trunk/game-package/make-quake3-package.6
packages/trunk/game-package/make-wad-package
packages/trunk/game-package/make-wad-package.6
packages/trunk/game-package/quake3-data/
packages/trunk/game-package/supported/
packages/trunk/game-package/tmp
Removed:
packages/trunk/game-package/games-package/trunk/Makefile
packages/trunk/game-package/games-package/trunk/changelog
packages/trunk/game-package/games-package/trunk/debian/
packages/trunk/game-package/games-package/trunk/doom2-wad/
packages/trunk/game-package/games-package/trunk/etc/
packages/trunk/game-package/games-package/trunk/game-package
packages/trunk/game-package/games-package/trunk/game-package-shared
packages/trunk/game-package/games-package/trunk/make-quake3-package
packages/trunk/game-package/games-package/trunk/make-quake3-package.6
packages/trunk/game-package/games-package/trunk/make-wad-package
packages/trunk/game-package/games-package/trunk/make-wad-package.6
packages/trunk/game-package/games-package/trunk/quake3-data/
packages/trunk/game-package/games-package/trunk/supported/
packages/trunk/game-package/games-package/trunk/tmp
Log:
try and undo some of the damage from svn-inject
Copied: packages/trunk/game-package/Makefile (from rev 4916, packages/trunk/game-package/games-package/trunk/Makefile)
===================================================================
--- packages/trunk/game-package/Makefile (rev 0)
+++ packages/trunk/game-package/Makefile 2007-12-14 11:18:44 UTC (rev 4939)
@@ -0,0 +1,74 @@
+BINDIR=$(DESTDIR)/usr/games
+DATADIR=$(DESTDIR)/usr/share/games/game-package
+MANDIR=$(DESTDIR)/usr/share/man
+
+QUAKE3VER=$(word 2, $(shell grep '^Version' quake3-data/DEBIAN/control))
+QUAKE3DEB=quake3-data_$(QUAKE3VER)_all.deb
+DOOM2VER=$(word 2, $(shell grep '^Version' doom2-wad/DEBIAN/control))
+DOOM2DEB=doom2-wad_$(DOOM2VER)_all.deb
+
+# general targets ############################################################
+
+default: $(DOOM2DEB) $(QUAKE3DEB)
+
+# necessary as dpkg-source will honour the shell's umask
+fixperms: fixperms_doom2 fixperms_quake3
+install: install_doom2 install_quake3
+ install -p -m 0755 game-package-shared $(DESTDIR)/usr/lib/game-package
+clean: clean_doom2 clean_quake3
+
+.PHONY: clean doom2-wad/DEBIAN/md5sums fixperms
+
+# DOOM2 stuff ################################################################
+
+
+$(DOOM2DEB): doom2-wad/DEBIAN/md5sums fixperms
+ if [ `id -u` -eq 0 ]; then \
+ dpkg-deb -b doom2-wad $@ ; \
+ else \
+ fakeroot dpkg-deb -b doom2-wad $@; \
+ fi
+
+doom2-wad/DEBIAN/md5sums:
+ cd doom2-wad && find usr/ -type f -print0 |\
+ xargs -0 md5sum >DEBIAN/md5sums
+
+fixperms_doom2:
+ find doom2-wad -type f -print0 | xargs -0 chmod 644
+ find doom2-wad -type d -print0 | xargs -0 chmod 755
+ chmod 755 doom2-wad/DEBIAN/postinst
+ chmod 755 doom2-wad/DEBIAN/prerm
+
+install_doom2:
+ install -p -m 0755 make-wad-package $(BINDIR)/
+ install -p -m 0644 make-wad-package.6 $(MANDIR)/man6/
+ install -p -m 0644 $(DOOM2DEB) $(DATADIR)/
+
+clean_doom2:
+ rm -f $(DOOM2DEB) doom2-wad/DEBIAN/md5sums
+
+# QUAKE3 stuff ###############################################################
+
+
+$(QUAKE3DEB): quake3-data/DEBIAN/md5sums fixperms
+ if [ `id -u` -eq 0 ]; then \
+ dpkg-deb -b quake3-data $@ ; \
+ else \
+ fakeroot dpkg-deb -b quake3-data $@ ; \
+ fi
+
+quake3-data/DEBIAN/md5sums:
+ cd quake3-data && find usr/ -type f -print0 |\
+ xargs -0 md5sum >DEBIAN/md5sums
+
+fixperms_quake3:
+ find quake3-data -type f -print0 | xargs -0 chmod 644
+ find quake3-data -type d -print0 | xargs -0 chmod 755
+
+install_quake3:
+ install -p -m 0755 make-quake3-package $(BINDIR)/
+ install -p -m 0644 make-quake3-package.6 $(MANDIR)/man6/
+ install -p -m 0644 $(QUAKE3DEB) $(DATADIR)/
+
+clean_quake3:
+ rm -f $(QUAKE3DEB) quake3-data/DEBIAN/md5sums
Copied: packages/trunk/game-package/changelog (from rev 4916, packages/trunk/game-package/games-package/trunk/changelog)
===================================================================
--- packages/trunk/game-package/changelog (rev 0)
+++ packages/trunk/game-package/changelog 2007-12-14 11:18:44 UTC (rev 4939)
@@ -0,0 +1,14 @@
+doom-package (15) UNRELEASED; urgency=low
+
+ * Initial upload. Closes: #280045, #326813.
+ * update comments in make-wad-package (thanks Ben Hutchings)
+ * remove dummy md5sum and doom2.wad file from package
+ (thanks Ben Hutchings)
+ * auto-generate md5sums in the doom2-wad .deb on build
+ * remove binutils dependency
+ * use Build-Depends, not -Indep (thanks Ben Hutchings)
+ * make-wad-package is a bash script (not sh, yet)
+ * clarify copyright (GPL-2)
+ * use fakeroot again (or doom2-wad will unpack with the wrong uid)
+
+ -- Jon Dowland <jon at alcopop.org> Sun, 1 Oct 2006 19:08:11 +0100
Copied: packages/trunk/game-package/debian (from rev 4916, packages/trunk/game-package/games-package/trunk/debian)
Copied: packages/trunk/game-package/doom2-wad (from rev 4916, packages/trunk/game-package/games-package/trunk/doom2-wad)
Copied: packages/trunk/game-package/etc (from rev 4916, packages/trunk/game-package/games-package/trunk/etc)
Copied: packages/trunk/game-package/game-package (from rev 4916, packages/trunk/game-package/games-package/trunk/game-package)
===================================================================
--- packages/trunk/game-package/game-package (rev 0)
+++ packages/trunk/game-package/game-package 2007-12-14 11:18:44 UTC (rev 4939)
@@ -0,0 +1,117 @@
+#!/bin/sh
+set -e
+set -u
+
+if [ -d ./supported ]; then
+ SUPPORTED=./supported
+else
+ SUPPORTED=/usr/share/lib/games/game-package/supported
+fi
+
+if [ -f ./game-package-shared ]; then
+ . ./game-package-shared
+else
+ . /usr/lib/game-package/game-package-shared
+fi
+
+supported() {
+ echo "the following games are supported:"
+ printf "\tname\tdescription\n"
+ printf "\t----\t-----------\n"
+
+ find $SUPPORTED -type f | grep -v 'swp$' | while read file; do
+ . $file
+ printf "\t%s\t%s\n" "$SHORTNAME" "$LONGNAME"
+ done
+}
+options() {
+ echo "game-package arguments:"
+ echo " -n not do not install the generated package"\
+ "(implies -p)"
+ echo " -f outfile write the generated .deb to OUTFILE and"\
+ "do not delete it"
+}
+
+usage() {
+ echo "usage: game-package [game-package-args] game [game-args]"
+ echo
+ supported
+ echo
+ options
+}
+
+DEBUG="TRUE"
+debug() {
+ if [ -n "$DEBUG" ]; then
+ echo "DEBUG: $*" >&2
+ fi
+}
+warn() {
+ echo "WARNING: $*" >&2
+}
+
+if [ $# -lt 1 ]; then
+ usage >&2
+ exit 1
+fi
+
+# package default settings
+if [ -f "./etc/game-package.conf" ]; then
+ source "./etc/game-package.conf"
+else
+ source "/etc/game-package.conf"
+fi
+OUTFILE=""
+
+# process command line arguments
+while [ $# -gt 1 ]; do
+ case "$1" in
+ '-n')
+ INSTALL="no"
+ PRESERVE="yes"
+ ;;
+ '-f')
+ PRESERVE="yes"
+ shift
+ if [ $# -lt 2 ]; then
+ echo "missing filename or game argument" >&2
+ usage >&2
+ exit 1
+ fi
+ OUTFILE="$1"
+ ;;
+ '--')
+ break;
+ ;;
+ *) # possibly the game name
+ break;
+ ;;
+ esac
+ shift
+done
+
+debug "INSTALL=$INSTALL"
+debug "PRESERVE=$PRESERVE"
+
+GAME="$1"
+if [ ! -f "$SUPPORTED/$GAME" ]; then
+ echo "unknown game '$GAME'" >&2
+ supported >&2
+ exit 1
+fi
+source "$SUPPORTED/$GAME"
+
+debug "short: $SHORTNAME"
+debug "long: $LONGNAME"
+
+# now the game's handler needs to be executed
+shift
+go $*
+
+if [ "$INSTALL" = "yes" ]; then
+ install_deb "$OUTFILE"
+fi
+
+if [ "$PRESERVE" != "yes" ]; then
+ rm "$OUTFILE"
+fi
Copied: packages/trunk/game-package/game-package-shared (from rev 4916, packages/trunk/game-package/games-package/trunk/game-package-shared)
===================================================================
--- packages/trunk/game-package/game-package-shared (rev 0)
+++ packages/trunk/game-package/game-package-shared 2007-12-14 11:18:44 UTC (rev 4939)
@@ -0,0 +1,126 @@
+verify_md5sum() {
+ FILE=$1
+ GOODSUM=$2
+ SUM=`md5sum $FILE|cut -d' ' -f1`
+ if [ "$SUM" != "$GOODSUM" ]; then
+ echo "error: $FILE's md5 checksum is unknown." >&2
+ echo "perhaps it is corrupted?" >&2
+ echo "quitting." >&2
+ exit 1
+ fi
+}
+
+verify_directory() {
+ DIR=$1
+ if [ ! -d "$DIR" ]; then
+ echo "error: $DIR is not a directory. Quitting." >&2
+ exit 1
+ fi
+}
+
+verify_file() {
+ FILE=$1
+ if [ ! -f "$FILE" ]; then
+ echo "error: $FILE is not a file. Quitting." >&2
+ exit 1
+ fi
+}
+
+# TODO: rewrite for no $1/$2 case (test $#)
+die() {
+ if [ -n "$2" ]; then RET=$2
+ else RET=1
+ fi
+ echo $0: $1 >&2
+ exit $RET
+}
+
+# TODO: this assumes every file is going to go in the same RELPATH. hmm.
+slipstream() {
+ DEB="$1" # the .deb file we are going to mangle
+ RELPATH="$2" # relative path in the unpacked .deb
+ shift 2
+
+ WORKDIR=`mktemp -td game-package-shared.slipstream.XXXXXX`
+ debug "WORKDIR=$WORKDIR"
+ OLDWD=`pwd`
+ cd "$WORKDIR"
+
+ slipstream_permcheck "$DEB"
+ slipstream_unpack "$DEB"
+
+ while [ "$#" -gt 0 ]; do
+ slipstream_file "$1" "$RELPATH"
+ shift
+ done
+
+ slipstream_instsize
+ slipstream_repack "$DEB"
+ slipstream_cleanup
+
+ cd "$OLDWD"
+ # rmdir $WORKDIR
+}
+
+slipstream_permcheck() {
+ DEB="$1"
+
+ # ensure we can write to $DEB
+ if [ ! -w "$DEB" ]; then
+ ls -l "$DEB"
+ die "wrong permissions on $DEB (I can't write to it)"
+ fi
+
+ # ensure we can write to the workdir
+ if [ ! -w . ]; then
+ die "cannot write to $PWD"
+ fi
+}
+slipstream_unpack() {
+ DEB="$1"
+ dpkg-deb -e "$DEB" "./DEBIAN"
+ dpkg-deb -x "$DEB" "./foo"
+}
+
+slipstream_file() {
+ FILE="$1"
+ RELPATH="$2"
+ BN=`basename "$FILE"`
+
+ cp -p "$FILE" "./foo/$RELPATH/$BN"
+ chmod 644 "./foo/$RELPATH/$BN"
+
+ # add a line to md5sums
+ cd foo
+ md5sum "$RELPATH/$BN" >> "../DEBIAN/md5sums"
+ cd ..
+}
+
+slipstream_instsize() {
+ # figure out the new installed-size
+ INSTSIZE=`du -sk ./foo | cut -f1`
+ sed -i "s/^Installed-Size.*/Installed-Size: $INSTSIZE/" \
+ "./DEBIAN/control"
+}
+
+slipstream_repack() {
+ DEB="$1" # the .deb file we are going to mangle
+
+ # repack
+ mv DEBIAN foo
+ # XXX: capture the output of dpkg-deb and hide it
+ fakeroot dpkg-deb -b foo "$DEB"
+}
+
+slipstream_cleanup() {
+ rm -rf ./foo
+}
+
+# stuff relating to installing the generated packages ########################
+
+install_deb() {
+ DEB="$1"
+ sudo dpkg -i "$DEB"
+}
+
+##############################################################################
Deleted: packages/trunk/game-package/games-package/trunk/Makefile
===================================================================
--- packages/trunk/game-package/games-package/trunk/Makefile 2007-12-14 07:09:48 UTC (rev 4938)
+++ packages/trunk/game-package/games-package/trunk/Makefile 2007-12-14 11:18:44 UTC (rev 4939)
@@ -1,74 +0,0 @@
-BINDIR=$(DESTDIR)/usr/games
-DATADIR=$(DESTDIR)/usr/share/games/game-package
-MANDIR=$(DESTDIR)/usr/share/man
-
-QUAKE3VER=$(word 2, $(shell grep '^Version' quake3-data/DEBIAN/control))
-QUAKE3DEB=quake3-data_$(QUAKE3VER)_all.deb
-DOOM2VER=$(word 2, $(shell grep '^Version' doom2-wad/DEBIAN/control))
-DOOM2DEB=doom2-wad_$(DOOM2VER)_all.deb
-
-# general targets ############################################################
-
-default: $(DOOM2DEB) $(QUAKE3DEB)
-
-# necessary as dpkg-source will honour the shell's umask
-fixperms: fixperms_doom2 fixperms_quake3
-install: install_doom2 install_quake3
- install -p -m 0755 game-package-shared $(DESTDIR)/usr/lib/game-package
-clean: clean_doom2 clean_quake3
-
-.PHONY: clean doom2-wad/DEBIAN/md5sums fixperms
-
-# DOOM2 stuff ################################################################
-
-
-$(DOOM2DEB): doom2-wad/DEBIAN/md5sums fixperms
- if [ `id -u` -eq 0 ]; then \
- dpkg-deb -b doom2-wad $@ ; \
- else \
- fakeroot dpkg-deb -b doom2-wad $@; \
- fi
-
-doom2-wad/DEBIAN/md5sums:
- cd doom2-wad && find usr/ -type f -print0 |\
- xargs -0 md5sum >DEBIAN/md5sums
-
-fixperms_doom2:
- find doom2-wad -type f -print0 | xargs -0 chmod 644
- find doom2-wad -type d -print0 | xargs -0 chmod 755
- chmod 755 doom2-wad/DEBIAN/postinst
- chmod 755 doom2-wad/DEBIAN/prerm
-
-install_doom2:
- install -p -m 0755 make-wad-package $(BINDIR)/
- install -p -m 0644 make-wad-package.6 $(MANDIR)/man6/
- install -p -m 0644 $(DOOM2DEB) $(DATADIR)/
-
-clean_doom2:
- rm -f $(DOOM2DEB) doom2-wad/DEBIAN/md5sums
-
-# QUAKE3 stuff ###############################################################
-
-
-$(QUAKE3DEB): quake3-data/DEBIAN/md5sums fixperms
- if [ `id -u` -eq 0 ]; then \
- dpkg-deb -b quake3-data $@ ; \
- else \
- fakeroot dpkg-deb -b quake3-data $@ ; \
- fi
-
-quake3-data/DEBIAN/md5sums:
- cd quake3-data && find usr/ -type f -print0 |\
- xargs -0 md5sum >DEBIAN/md5sums
-
-fixperms_quake3:
- find quake3-data -type f -print0 | xargs -0 chmod 644
- find quake3-data -type d -print0 | xargs -0 chmod 755
-
-install_quake3:
- install -p -m 0755 make-quake3-package $(BINDIR)/
- install -p -m 0644 make-quake3-package.6 $(MANDIR)/man6/
- install -p -m 0644 $(QUAKE3DEB) $(DATADIR)/
-
-clean_quake3:
- rm -f $(QUAKE3DEB) quake3-data/DEBIAN/md5sums
Deleted: packages/trunk/game-package/games-package/trunk/changelog
===================================================================
--- packages/trunk/game-package/games-package/trunk/changelog 2007-12-14 07:09:48 UTC (rev 4938)
+++ packages/trunk/game-package/games-package/trunk/changelog 2007-12-14 11:18:44 UTC (rev 4939)
@@ -1,14 +0,0 @@
-doom-package (15) UNRELEASED; urgency=low
-
- * Initial upload. Closes: #280045, #326813.
- * update comments in make-wad-package (thanks Ben Hutchings)
- * remove dummy md5sum and doom2.wad file from package
- (thanks Ben Hutchings)
- * auto-generate md5sums in the doom2-wad .deb on build
- * remove binutils dependency
- * use Build-Depends, not -Indep (thanks Ben Hutchings)
- * make-wad-package is a bash script (not sh, yet)
- * clarify copyright (GPL-2)
- * use fakeroot again (or doom2-wad will unpack with the wrong uid)
-
- -- Jon Dowland <jon at alcopop.org> Sun, 1 Oct 2006 19:08:11 +0100
Deleted: packages/trunk/game-package/games-package/trunk/game-package
===================================================================
--- packages/trunk/game-package/games-package/trunk/game-package 2007-12-14 07:09:48 UTC (rev 4938)
+++ packages/trunk/game-package/games-package/trunk/game-package 2007-12-14 11:18:44 UTC (rev 4939)
@@ -1,117 +0,0 @@
-#!/bin/sh
-set -e
-set -u
-
-if [ -d ./supported ]; then
- SUPPORTED=./supported
-else
- SUPPORTED=/usr/share/lib/games/game-package/supported
-fi
-
-if [ -f ./game-package-shared ]; then
- . ./game-package-shared
-else
- . /usr/lib/game-package/game-package-shared
-fi
-
-supported() {
- echo "the following games are supported:"
- printf "\tname\tdescription\n"
- printf "\t----\t-----------\n"
-
- find $SUPPORTED -type f | grep -v 'swp$' | while read file; do
- . $file
- printf "\t%s\t%s\n" "$SHORTNAME" "$LONGNAME"
- done
-}
-options() {
- echo "game-package arguments:"
- echo " -n not do not install the generated package"\
- "(implies -p)"
- echo " -f outfile write the generated .deb to OUTFILE and"\
- "do not delete it"
-}
-
-usage() {
- echo "usage: game-package [game-package-args] game [game-args]"
- echo
- supported
- echo
- options
-}
-
-DEBUG="TRUE"
-debug() {
- if [ -n "$DEBUG" ]; then
- echo "DEBUG: $*" >&2
- fi
-}
-warn() {
- echo "WARNING: $*" >&2
-}
-
-if [ $# -lt 1 ]; then
- usage >&2
- exit 1
-fi
-
-# package default settings
-if [ -f "./etc/game-package.conf" ]; then
- source "./etc/game-package.conf"
-else
- source "/etc/game-package.conf"
-fi
-OUTFILE=""
-
-# process command line arguments
-while [ $# -gt 1 ]; do
- case "$1" in
- '-n')
- INSTALL="no"
- PRESERVE="yes"
- ;;
- '-f')
- PRESERVE="yes"
- shift
- if [ $# -lt 2 ]; then
- echo "missing filename or game argument" >&2
- usage >&2
- exit 1
- fi
- OUTFILE="$1"
- ;;
- '--')
- break;
- ;;
- *) # possibly the game name
- break;
- ;;
- esac
- shift
-done
-
-debug "INSTALL=$INSTALL"
-debug "PRESERVE=$PRESERVE"
-
-GAME="$1"
-if [ ! -f "$SUPPORTED/$GAME" ]; then
- echo "unknown game '$GAME'" >&2
- supported >&2
- exit 1
-fi
-source "$SUPPORTED/$GAME"
-
-debug "short: $SHORTNAME"
-debug "long: $LONGNAME"
-
-# now the game's handler needs to be executed
-shift
-go $*
-
-if [ "$INSTALL" = "yes" ]; then
- install_deb "$OUTFILE"
-fi
-
-if [ "$PRESERVE" != "yes" ]; then
- rm "$OUTFILE"
-fi
Deleted: packages/trunk/game-package/games-package/trunk/game-package-shared
===================================================================
--- packages/trunk/game-package/games-package/trunk/game-package-shared 2007-12-14 07:09:48 UTC (rev 4938)
+++ packages/trunk/game-package/games-package/trunk/game-package-shared 2007-12-14 11:18:44 UTC (rev 4939)
@@ -1,126 +0,0 @@
-verify_md5sum() {
- FILE=$1
- GOODSUM=$2
- SUM=`md5sum $FILE|cut -d' ' -f1`
- if [ "$SUM" != "$GOODSUM" ]; then
- echo "error: $FILE's md5 checksum is unknown." >&2
- echo "perhaps it is corrupted?" >&2
- echo "quitting." >&2
- exit 1
- fi
-}
-
-verify_directory() {
- DIR=$1
- if [ ! -d "$DIR" ]; then
- echo "error: $DIR is not a directory. Quitting." >&2
- exit 1
- fi
-}
-
-verify_file() {
- FILE=$1
- if [ ! -f "$FILE" ]; then
- echo "error: $FILE is not a file. Quitting." >&2
- exit 1
- fi
-}
-
-# TODO: rewrite for no $1/$2 case (test $#)
-die() {
- if [ -n "$2" ]; then RET=$2
- else RET=1
- fi
- echo $0: $1 >&2
- exit $RET
-}
-
-# TODO: this assumes every file is going to go in the same RELPATH. hmm.
-slipstream() {
- DEB="$1" # the .deb file we are going to mangle
- RELPATH="$2" # relative path in the unpacked .deb
- shift 2
-
- WORKDIR=`mktemp -td game-package-shared.slipstream.XXXXXX`
- debug "WORKDIR=$WORKDIR"
- OLDWD=`pwd`
- cd "$WORKDIR"
-
- slipstream_permcheck "$DEB"
- slipstream_unpack "$DEB"
-
- while [ "$#" -gt 0 ]; do
- slipstream_file "$1" "$RELPATH"
- shift
- done
-
- slipstream_instsize
- slipstream_repack "$DEB"
- slipstream_cleanup
-
- cd "$OLDWD"
- # rmdir $WORKDIR
-}
-
-slipstream_permcheck() {
- DEB="$1"
-
- # ensure we can write to $DEB
- if [ ! -w "$DEB" ]; then
- ls -l "$DEB"
- die "wrong permissions on $DEB (I can't write to it)"
- fi
-
- # ensure we can write to the workdir
- if [ ! -w . ]; then
- die "cannot write to $PWD"
- fi
-}
-slipstream_unpack() {
- DEB="$1"
- dpkg-deb -e "$DEB" "./DEBIAN"
- dpkg-deb -x "$DEB" "./foo"
-}
-
-slipstream_file() {
- FILE="$1"
- RELPATH="$2"
- BN=`basename "$FILE"`
-
- cp -p "$FILE" "./foo/$RELPATH/$BN"
- chmod 644 "./foo/$RELPATH/$BN"
-
- # add a line to md5sums
- cd foo
- md5sum "$RELPATH/$BN" >> "../DEBIAN/md5sums"
- cd ..
-}
-
-slipstream_instsize() {
- # figure out the new installed-size
- INSTSIZE=`du -sk ./foo | cut -f1`
- sed -i "s/^Installed-Size.*/Installed-Size: $INSTSIZE/" \
- "./DEBIAN/control"
-}
-
-slipstream_repack() {
- DEB="$1" # the .deb file we are going to mangle
-
- # repack
- mv DEBIAN foo
- # XXX: capture the output of dpkg-deb and hide it
- fakeroot dpkg-deb -b foo "$DEB"
-}
-
-slipstream_cleanup() {
- rm -rf ./foo
-}
-
-# stuff relating to installing the generated packages ########################
-
-install_deb() {
- DEB="$1"
- sudo dpkg -i "$DEB"
-}
-
-##############################################################################
Deleted: packages/trunk/game-package/games-package/trunk/make-quake3-package
===================================================================
--- packages/trunk/game-package/games-package/trunk/make-quake3-package 2007-12-14 07:09:48 UTC (rev 4938)
+++ packages/trunk/game-package/games-package/trunk/make-quake3-package 2007-12-14 11:18:44 UTC (rev 4939)
@@ -1,74 +0,0 @@
-#!/bin/sh
-set -u
-set -e
-
-if [ -f ./game-package-shared ]; then
- echo "DEBUG: using local game-package-shared" >&2
- . ./game-package-shared
-else
- . /usr/lib/game-package/game-package-shared
-fi
-
-WORKDIR=`mktemp -dt make-quake3-package.XXXXXX`
-trap "rmdir \"$WORKDIR\"" INT QUIT KILL
-
-# first, obtain the pak0.pk3 file from the CD-ROM ############################
-echo "please mount the Quake3 CD-ROM and enter the mount-point here:"
-read CDROM
-verify_directory "$CDROM"
-
-# TODO: we could let the user enter a direct path, too
-PAKFILE=
-for i in Quake3/baseq3 baseq3 ""; do
- if [ -f "$CDROM/$i/pak0.pk3" ]; then
- PAKFILE=$CDROM/$i/pak0.pk3
- break
- fi
-done
-if [ -z "$PAKFILE" ]; then
- echo "error: I couldn't find the pak0.pk3 file." >&2
- echo "giving up." >&2
- exit 1
-fi
-
-# next, we need to grab a point release for the other paks ###################
-POINTFILE=linuxq3apoint-1.32b-3.x86.run
-POINTMD5=c71fdddccb20e8fc393d846e9c61d685
-
-echo "I now need the point release ($POINTFILE)"
-echo "How should I obtain this?"
-
-echo "please enter the path to the directory containing $POINTFILE"
-read PFPATH
-verify_directory "$PFPATH"
-POINTFILENAME="$PFPATH/$POINTFILE"
-verify_file "$POINTFILENAME"
-verify_md5sum "$POINTFILENAME" "$POINTMD5"
-
-# Extract the tarball from the Loki Installer
-dd if="$POINTFILENAME" of=$WORKDIR/Q3TGZ \
- ibs=1 obs=1024 skip=8251 \
- >/dev/null 2>&1
-
-mkdir $WORKDIR/quake3
-tar -C $WORKDIR/quake3 -xzf $WORKDIR/Q3TGZ
-
-# ensure we've extracted all the necessary pak files
-for i in `seq 1 8`; do test -f $WORKDIR/quake3/baseq3/pak$i.pk3; done
-
-# finally, we assemble the .deb ##############################################
-
-xOLDPWD=`pwd`
-cd "$WORKDIR"
-
-cd quake3/baseq3
-ln -s "$PAKFILE"
-cd ../..
-
-cp -p /usr/share/games/game-package/quake3*deb .
-slipstream ./quake3*deb \
- usr/share/games/quake3/baseq3 \
- $WORKDIR/quake3/baseq3/pak*.pk3
-mv quake3*deb "$xOLDPWD"
-
-cd "$xOLDPWD"
Deleted: packages/trunk/game-package/games-package/trunk/make-quake3-package.6
===================================================================
Deleted: packages/trunk/game-package/games-package/trunk/make-wad-package
===================================================================
--- packages/trunk/game-package/games-package/trunk/make-wad-package 2007-12-14 07:09:48 UTC (rev 4938)
+++ packages/trunk/game-package/games-package/trunk/make-wad-package 2007-12-14 11:18:44 UTC (rev 4939)
@@ -1,58 +0,0 @@
-#!/bin/bash
-# copyright (c) 2006 Jon Dowland <jon at alcopop.org>
-# distributed under the terms of the GNU Public Licence (GPL) v2 -
-# see /usr/share/common-licenses/GPL-2 for details.
-
-set -e
-
-# doom-package: manage installation of doom2 IWAD into a debian system:
- # take the dummy doom2-wad .deb and insert the real IWAD.
- # saves the resulting .deb in the current directory
-
-DATADIR="usr/share/games/doom-package"
-DEB="/$DATADIR/doom2-wad_5_all.deb"
-
-if [ -f ./game-package-shared ]; then
- . ./game-package-shared
-else
- . /usr/lib/game-package/game-package-shared
-fi
-
-# takes one argument: the doom2.wad file
-if [ -z "$1" -o ! -e "$1" ]; then
- diemsg="usage:
- make-wad-package /path/to/doom2.wad
-Generates a .deb package for the doom2 IWAD file specified
-on the command line."
- [ -e "$1" ] || echo " $1 does not appear to exist"
- die "$diemsg"
-fi
-IWAD="$1"
-
-# only supports `doom2.wad' so far
-tmp=$(basename $IWAD)
-[ "doom2.wad" = "$tmp" ] ||\
-[ "DOOM2.WAD" = "$tmp" ] ||\
-die "supplied IWAD must be called doom2.wad."
-
-xOLDPWD=$(pwd)
-WORKDIR=$(mktemp -dt make-wad-package.XXXXXX) ||\
- die "error creating a working directory."
-
-(
- set -e
-
- cp "$DEB" "$WORKDIR"
- cp "$IWAD" "$WORKDIR/doom2.wad"
- cd "$WORKDIR"
-
- DEB=$(basename "$DEB")
- IWAD=doom2.wad
- chmod 644 "$IWAD"
-
- slipstream "$DEB" "$DATADIR" "$IWAD"
- cp -a "$DEB" "$xOLDPWD"
-)
-RET=$?
-rm -rf "$WORKDIR"
-[ $RET -eq 0 ] || die "subshell exited abnormally" $RET
Deleted: packages/trunk/game-package/games-package/trunk/make-wad-package.6
===================================================================
--- packages/trunk/game-package/games-package/trunk/make-wad-package.6 2007-12-14 07:09:48 UTC (rev 4938)
+++ packages/trunk/game-package/games-package/trunk/make-wad-package.6 2007-12-14 11:18:44 UTC (rev 4939)
@@ -1,46 +0,0 @@
-.\" make-wad-package manpage; based on wtfm_example by branden robinson
-.\" <http://people.debian.org/~branden/talks/wtfm/>
-.\"
-.\" This program is free software; you can redistribute it and/or modify it
-.\" under the terms of the GNU General Public License as published by the
-.\" Free Software Foundation; version 2.
-.\"
-.\" This program is distributed in the hope that it will be useful, but
-.\" WITHOUT ANY WARRANTY; without even the implied warranty of
-.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-.\" Public License for more details.
-.\"
-.\" You should have received a copy of the GNU General Public License along
-.\" with this library; if not, write to the Free Software Foundation, Inc.,
-.\" 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
-.\"
-.\" See /usr/share/common-licenses/GPL-2
-.\"
-.de URL
-\\$2 \(laURL: \\$1 \(ra\\$3
-..
-.if \n[.g] .mso www.tmac
-.TH make-wad-package 6 2006-10-01
-.SH NAME
-make\-wad\-package \- build a .deb from a doom IWAD
-.
-.SH SYNOPSIS
-.B make\-wad\-package
-.IR wadfile
-.br
-.SH DESCRIPTION
-Doom requires both a doom-engine and doom data to play.
-\fBmake\-wad\-package\fP converts the IWAD file from your
-CD-ROM (or elsewhere) into a debian package which you can
-then install.
-.br
-The resulting package satisfies the \fIdoom\-wad\fP package
-dependency, allowing you to install a \fIdoom\-engine\fP.
-.SH AUTHOR
-Copyright \(co 2006 Jon Dowland \fI<jon at alcopop.org>\fP.
-.br
-Thanks to Branden Robinson for his
-.URL "http://people.debian.org/~branden/talks/wtfm/" "\(oqWrite the Fine Manual\(cq"
-presentation.
-.br
-\fBmake\-wad\-package\fP is part of \fIdoom-package\fP.
Deleted: packages/trunk/game-package/games-package/trunk/tmp
===================================================================
(Binary files differ)
Copied: packages/trunk/game-package/make-quake3-package (from rev 4916, packages/trunk/game-package/games-package/trunk/make-quake3-package)
===================================================================
--- packages/trunk/game-package/make-quake3-package (rev 0)
+++ packages/trunk/game-package/make-quake3-package 2007-12-14 11:18:44 UTC (rev 4939)
@@ -0,0 +1,74 @@
+#!/bin/sh
+set -u
+set -e
+
+if [ -f ./game-package-shared ]; then
+ echo "DEBUG: using local game-package-shared" >&2
+ . ./game-package-shared
+else
+ . /usr/lib/game-package/game-package-shared
+fi
+
+WORKDIR=`mktemp -dt make-quake3-package.XXXXXX`
+trap "rmdir \"$WORKDIR\"" INT QUIT KILL
+
+# first, obtain the pak0.pk3 file from the CD-ROM ############################
+echo "please mount the Quake3 CD-ROM and enter the mount-point here:"
+read CDROM
+verify_directory "$CDROM"
+
+# TODO: we could let the user enter a direct path, too
+PAKFILE=
+for i in Quake3/baseq3 baseq3 ""; do
+ if [ -f "$CDROM/$i/pak0.pk3" ]; then
+ PAKFILE=$CDROM/$i/pak0.pk3
+ break
+ fi
+done
+if [ -z "$PAKFILE" ]; then
+ echo "error: I couldn't find the pak0.pk3 file." >&2
+ echo "giving up." >&2
+ exit 1
+fi
+
+# next, we need to grab a point release for the other paks ###################
+POINTFILE=linuxq3apoint-1.32b-3.x86.run
+POINTMD5=c71fdddccb20e8fc393d846e9c61d685
+
+echo "I now need the point release ($POINTFILE)"
+echo "How should I obtain this?"
+
+echo "please enter the path to the directory containing $POINTFILE"
+read PFPATH
+verify_directory "$PFPATH"
+POINTFILENAME="$PFPATH/$POINTFILE"
+verify_file "$POINTFILENAME"
+verify_md5sum "$POINTFILENAME" "$POINTMD5"
+
+# Extract the tarball from the Loki Installer
+dd if="$POINTFILENAME" of=$WORKDIR/Q3TGZ \
+ ibs=1 obs=1024 skip=8251 \
+ >/dev/null 2>&1
+
+mkdir $WORKDIR/quake3
+tar -C $WORKDIR/quake3 -xzf $WORKDIR/Q3TGZ
+
+# ensure we've extracted all the necessary pak files
+for i in `seq 1 8`; do test -f $WORKDIR/quake3/baseq3/pak$i.pk3; done
+
+# finally, we assemble the .deb ##############################################
+
+xOLDPWD=`pwd`
+cd "$WORKDIR"
+
+cd quake3/baseq3
+ln -s "$PAKFILE"
+cd ../..
+
+cp -p /usr/share/games/game-package/quake3*deb .
+slipstream ./quake3*deb \
+ usr/share/games/quake3/baseq3 \
+ $WORKDIR/quake3/baseq3/pak*.pk3
+mv quake3*deb "$xOLDPWD"
+
+cd "$xOLDPWD"
Copied: packages/trunk/game-package/make-quake3-package.6 (from rev 4916, packages/trunk/game-package/games-package/trunk/make-quake3-package.6)
===================================================================
Copied: packages/trunk/game-package/make-wad-package (from rev 4916, packages/trunk/game-package/games-package/trunk/make-wad-package)
===================================================================
--- packages/trunk/game-package/make-wad-package (rev 0)
+++ packages/trunk/game-package/make-wad-package 2007-12-14 11:18:44 UTC (rev 4939)
@@ -0,0 +1,58 @@
+#!/bin/bash
+# copyright (c) 2006 Jon Dowland <jon at alcopop.org>
+# distributed under the terms of the GNU Public Licence (GPL) v2 -
+# see /usr/share/common-licenses/GPL-2 for details.
+
+set -e
+
+# doom-package: manage installation of doom2 IWAD into a debian system:
+ # take the dummy doom2-wad .deb and insert the real IWAD.
+ # saves the resulting .deb in the current directory
+
+DATADIR="usr/share/games/doom-package"
+DEB="/$DATADIR/doom2-wad_5_all.deb"
+
+if [ -f ./game-package-shared ]; then
+ . ./game-package-shared
+else
+ . /usr/lib/game-package/game-package-shared
+fi
+
+# takes one argument: the doom2.wad file
+if [ -z "$1" -o ! -e "$1" ]; then
+ diemsg="usage:
+ make-wad-package /path/to/doom2.wad
+Generates a .deb package for the doom2 IWAD file specified
+on the command line."
+ [ -e "$1" ] || echo " $1 does not appear to exist"
+ die "$diemsg"
+fi
+IWAD="$1"
+
+# only supports `doom2.wad' so far
+tmp=$(basename $IWAD)
+[ "doom2.wad" = "$tmp" ] ||\
+[ "DOOM2.WAD" = "$tmp" ] ||\
+die "supplied IWAD must be called doom2.wad."
+
+xOLDPWD=$(pwd)
+WORKDIR=$(mktemp -dt make-wad-package.XXXXXX) ||\
+ die "error creating a working directory."
+
+(
+ set -e
+
+ cp "$DEB" "$WORKDIR"
+ cp "$IWAD" "$WORKDIR/doom2.wad"
+ cd "$WORKDIR"
+
+ DEB=$(basename "$DEB")
+ IWAD=doom2.wad
+ chmod 644 "$IWAD"
+
+ slipstream "$DEB" "$DATADIR" "$IWAD"
+ cp -a "$DEB" "$xOLDPWD"
+)
+RET=$?
+rm -rf "$WORKDIR"
+[ $RET -eq 0 ] || die "subshell exited abnormally" $RET
Copied: packages/trunk/game-package/make-wad-package.6 (from rev 4916, packages/trunk/game-package/games-package/trunk/make-wad-package.6)
===================================================================
--- packages/trunk/game-package/make-wad-package.6 (rev 0)
+++ packages/trunk/game-package/make-wad-package.6 2007-12-14 11:18:44 UTC (rev 4939)
@@ -0,0 +1,46 @@
+.\" make-wad-package manpage; based on wtfm_example by branden robinson
+.\" <http://people.debian.org/~branden/talks/wtfm/>
+.\"
+.\" This program is free software; you can redistribute it and/or modify it
+.\" under the terms of the GNU General Public License as published by the
+.\" Free Software Foundation; version 2.
+.\"
+.\" This program is distributed in the hope that it will be useful, but
+.\" WITHOUT ANY WARRANTY; without even the implied warranty of
+.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+.\" Public License for more details.
+.\"
+.\" You should have received a copy of the GNU General Public License along
+.\" with this library; if not, write to the Free Software Foundation, Inc.,
+.\" 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+.\"
+.\" See /usr/share/common-licenses/GPL-2
+.\"
+.de URL
+\\$2 \(laURL: \\$1 \(ra\\$3
+..
+.if \n[.g] .mso www.tmac
+.TH make-wad-package 6 2006-10-01
+.SH NAME
+make\-wad\-package \- build a .deb from a doom IWAD
+.
+.SH SYNOPSIS
+.B make\-wad\-package
+.IR wadfile
+.br
+.SH DESCRIPTION
+Doom requires both a doom-engine and doom data to play.
+\fBmake\-wad\-package\fP converts the IWAD file from your
+CD-ROM (or elsewhere) into a debian package which you can
+then install.
+.br
+The resulting package satisfies the \fIdoom\-wad\fP package
+dependency, allowing you to install a \fIdoom\-engine\fP.
+.SH AUTHOR
+Copyright \(co 2006 Jon Dowland \fI<jon at alcopop.org>\fP.
+.br
+Thanks to Branden Robinson for his
+.URL "http://people.debian.org/~branden/talks/wtfm/" "\(oqWrite the Fine Manual\(cq"
+presentation.
+.br
+\fBmake\-wad\-package\fP is part of \fIdoom-package\fP.
Copied: packages/trunk/game-package/quake3-data (from rev 4916, packages/trunk/game-package/games-package/trunk/quake3-data)
Copied: packages/trunk/game-package/supported (from rev 4916, packages/trunk/game-package/games-package/trunk/supported)
Copied: packages/trunk/game-package/tmp (from rev 4916, packages/trunk/game-package/games-package/trunk/tmp)
===================================================================
(Binary files differ)
More information about the Pkg-games-commits
mailing list